/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workreimbursementcount.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.common.persistence.ActEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.sys.utils.UserUtils;

import java.math.BigDecimal;
import java.util.Date;
import java.util.Map;

/**
 * 报销统计Entity
 * @author 陈玉平
 * @version 2018-07-03
 */
public class WorkReimbursementCompany extends ActEntity<WorkReimbursementCompany> {

	private static final long serialVersionUID = 1L;
	private String sign;//判断显示部门还是分公司

	public String getSign() {
		return sign;
	}

	public void setSign(String sign) {
		this.sign = sign;
	}

	private String number;		// 报销编号
	private String officeId;		// 提交人的部门编号
	private String submitterId;		// 报销人 项目登记人
	private String submitterName;		// 报销人 项目登记人
	private Date submitterDate;		// 报销日期
	private BigDecimal money;		// 报销金额
	private String moneyStr;		// 报销金额
	private String status;		// 报销状态
	private String companyId; //提交人的公司编号
	private String projectId;
	private String projectName;
    private  String ext;
	private String type;
	private String extright;
	private String date;
	private String check;

	public String getDate() {
		return date;
	}

	public void setDate(String date) {
		this.date = date;
	}
	public String getCheck() {
		return check;
	}
	public void setCheck(String check) {
		this.check = check;
	}
	public String getExtright() {
		return extright;
	}

	public void setExtright(String extright) {
		this.extright = extright;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getExt() {
		return ext;
	}

	public void setExt(String ext) {
		this.ext = ext;
	}

	public String getProjectId() {
		return projectId;
	}

	public void setProjectId(String projectId) {
		this.projectId = projectId;
	}

	private String officeName;
	private Map<String, Object> variables;

	public WorkReimbursementCompany() {
		super();
	}

	public WorkReimbursementCompany(String id){
		super(id);
	}


	public String getNumber() {
		return number;
	}

	public void setNumber(String number) {
		this.number = number;
	}

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")

	public Date getSubmitterDate() {
		return submitterDate;
	}

	public void setSubmitterDate(Date submitterDate) {
		this.submitterDate = submitterDate;
	}


	public BigDecimal getMoney() {
		return money;
	}

	@ExcelField(title="报销金额", align=2, sort=7)
	public String getMoneyStr() {
		return UserUtils.getDecimalFormat(money);
	}

	public void setMoney(BigDecimal money) {
		this.money = money;
	}
	

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}


    public String getOfficeId() {
        return officeId;
    }

    public void setOfficeId(String officeId) {
        this.officeId = officeId;
    }

    public String getSubmitterId() {
        return submitterId;
    }

    public void setSubmitterId(String submitterId) {
        this.submitterId = submitterId;
    }

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}

	public Map<String, Object> getVariables() {
		return variables;
	}

	public void setVariables(Map<String, Object> variables) {
		this.variables = variables;
	}

	public String getProjectName() {
		return projectName;
	}

	public void setProjectName(String projectName) {
		this.projectName = projectName;
	}
	@ExcelField(title="分公司", align=2, sort=3)
	public String getOfficeName() {
		return officeName;
	}

	public void setOfficeName(String officeName) {
		this.officeName = officeName;
	}

	public String getSubmitterName() {
		return submitterName;
	}

	public void setSubmitterName(String submitterName) {
		this.submitterName = submitterName;
	}

}